List Tools
curl --request GET \
--url https://api.pathors.com/v1/projects/{projectId}/tools \
--header 'Authorization: <authorization>'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/tools"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.pathors.com/v1/projects/{projectId}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{}
]
}List Tools
List all tools for a project
GET
/
v1
/
projects
/
{projectId}
/
tools
List Tools
Request
GET https://api.pathors.com/v1/projects/{projectId}/tools
Path Parameters
string
required
The project ID
Headers
string
required
Bearer token using your developer key
Response
array
Array of tool objects with
id, type, name, description, metadata, and inputSchema.Example
curl https://api.pathors.com/v1/projects/{projectId}/tools \
-H "Authorization: Bearer dk_your_key"
{
"data": [
{
"id": "tool-uuid",
"type": "restful",
"name": "search-api",
"description": "Search the database",
"metadata": { "url": "https://api.example.com/search", "method": "GET" },
"inputSchema": { "type": "object", "properties": { "query": { "type": "string" } } }
}
]
}
⌘I
